import React, { useState } from 'react';
import Button from './components/Button/Button';
import Grid from './components/Grid/Grid';
import ThemeProvider from './utils/theme';

function App() {
  const [type, setType] = useState('primary');
  return (
    <ThemeProvider>
      <div className="App">
        <Grid
          container
          direction={'row'}
          justifyContent={'center'}
          alignItems={'center'}
          spacing={8}
        >
          <Grid item={1}>
            <Button
              label={'Osman'}
              size={'sm'}
              disabled={false}
              type={type}
              onClick={() =>
                setType(type === 'primary' ? 'secondary' : 'primary')
              }
            ></Button>
          </Grid>
          <Grid item={2}>
            <Button
              label={'Osman'}
              size={'md'}
              disabled={false}
              type={type}
              onClick={() =>
                setType(type === 'primary' ? 'secondary' : 'primary')
              }
            ></Button>
          </Grid>
          <Grid item={9}>
            <Button
              label={'Osman'}
              size={'lg'}
              disabled={false}
              type={type}
              onClick={() =>
                setType(type === 'primary' ? 'secondary' : 'primary')
              }
            ></Button>
          </Grid>
        </Grid>
      </div>
    </ThemeProvider>
  );
}

export default App;
